require "import"
import "android.os.*"
import "android.widget.*"
import "android.view.*"

import "android.content.Intent"
import "android.widget.PopupMenu"
import "androidx.appcompat.widget.PopupMenu"
import "net.fusionapp.core.util.FusionUtil"
import "android.net.Uri"

泡沫对话框(16142)
.设置标题("温馨提示")
.设置消息("本页内容全部为国外网址，\n开启VPN加速器(挂梯子)才能浏览。\n\n需要加速器的请前往吃呱梯子页。")
.设置积极按钮("去看看",function()进入子页面("VPN")
end)
.setCancelable(false)
.设置消极按钮("")
.setNeutralButton("关闭",function()
  print("不再提示")
end)
.显示()

FusionUtil = luajava.bindClass "net.fusionapp.core.util.FusionUtil"
android_R = luajava.bindClass "android.R"

--右上角_夜间模式
menus=activity.viewConfig.toolbar.getMenus()
function recreate()
  activity.finish()
  activity.startFusionActivity(activity.loader.pageName)
  activity.overridePendingTransition(android_R.anim.fade_in,android_R.anim.fade_out)
end
function switchNightTheme(isNightMode,newThemeName)
  if isNightMode then
    menus[1].setIcon("wb_sunny")--图片1
   else
    menus[1].setIcon("brightness_2")--图片2
  end
  activity.loader.updatePageConfig()
  FusionUtil.changeTheme(activity.loader.projectDir.path,newThemeName)
  FusionUtil.setNightMode(isNightMode)
  recreate()
end

function onMenuItemClick(title)
  local itemTitle = title
  if itemTitle=="ad"then
    uiManager=activity.getUiManager()
    webView=uiManager.getCurrentFragment().getWebView()
    if SetHSP==nil then
      print("塞班模式")
      print("可再按一次")
      webView.getSettings().setUserAgentString("Mozilla/5.0 (Symbian/3; Series60/5.2 NokiaN8-00/012.002; Profile/MIDP-2.1 Configuration/CLDC-1.1 ) AppleWebKit/533.4 (KHTML, like Gecko) NokiaBrowser/7.3.0 Mobile Safari/533.4 3gpp-gba");
      刷新网页();
      SetHSP="H"
     else
      print("电脑模式")
      webView.getSettings().setUserAgentString("Mozilla/5.0 (Windows NT 10.0; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/47.0.2526.73 Safari/537.36");
      刷新网页();
      SetHSP=nil
    end
  end
  if itemTitle=="刷新"then
    刷新网页()
    print("刷新网页")
  end
  --夜间模式
  if itemTitle=="夜间模式"then
    if menus[1].getIcon()=="brightness_2" then
      switchNightTheme(true,"Night.json")
      print("夜间模式")
     else
      switchNightTheme(false,"Default_Light.json")
      print("日间模式")
    end
  end
  if itemTitle=="在浏览器打开"then
    print("已复制链接")
    获取浏览器()
    复制文本(获取网址())
    print("已复制链接")
    import "android.content.Intent"
    import "android.net.Uri"
    url=(获取浏览器().url)
    viewIntent = Intent("android.intent.action.VIEW",Uri.parse(url))
    activity.startActivity(viewIntent)
  end

end

--悬浮按钮
local fltBtn=this.uiManager.getFloatingActionButton()
fltBtn.onLongClick=function()
  进入子页面("main")
  return true
end
fltBtn.onClick=function()
  加载Js(JS)
  print("尝试去除广告")

  pop=PopupMenu(activity,fltBtn)--弹出列表
  menu=pop.Menu
  menu.add("旋转屏幕").onMenuItemClick=function(a)
    if SetHSP==nil then
      --横屏
      activity.setRequestedOrientation(0);
      SetHSP="H"
     else
      --竖屏
      activity.setRequestedOrientation(1);
      SetHSP=nil
    end
  end
  menu.add("回顶部").onMenuItemClick=function(a)
    返回网页顶部()
    print("回顶部")
  end
  menu.add("刷新").onMenuItemClick=function(a)
    刷新网页()
    print("刷新网页")
  end
  pop.show()
end


--全局下载跳转浏览器
local uiManager=activity.uiManager
function webviewRefresh(index)
  uiManager.getFragment(index).webView.setDownloadListener{
    onDownloadStart=function(url,a,b,c,d)
      activity.startActivity(Intent("android.intent.action.VIEW",Uri.parse(url)))
    end
  }
end
webviewRefresh(0)
uiManager.viewPager.setOnPageChangeListener(luajava.bindClass "androidx.viewpager.widget.ViewPager$OnPageChangeListener"{
  onPageSelected=function(index)
    webviewRefresh(index)
  end
})



