require "import"
import "android.os.*"
import "android.widget.*"
import "android.view.*"

import "android.widget.ScrollView"
import "android.widget.LinearLayout"
import "android.net.Uri"
import "android.content.Intent"
import "android.widget.RelativeLayout"
import "android.graphics.Typeface"
import "android.view.animation.ScaleAnimation"
import "android.view.View"
import "android.widget.TextView"
import "android.widget.ImageView"
import "androidx.cardview.widget.CardView"

uiManager=activity.uiManager
local webView=uiManager.getCurrentFragment().getWebView()

webView.addView(
loadlayout(
{
  RelativeLayout; --总体背景卡片
  elevation='0dp';--卡片阴影
  layout_width='fill';--布局宽度
  layout_height='fill';--布局高度
  {
    LinearLayout,--线性布局
    orientation='vertical',--布局方向
    layout_width='fill',--布局宽度
    layout_height='fill',--布局高度
    {
      ScrollView,--纵向滑动控件
      layout_width='fill',--布局宽度
      layout_height='fill',--布局高度
      overScrollMode=View.OVER_SCROLL_NEVER,--隐藏圆弧阴影
      verticalScrollBarEnabled=false,--隐藏纵向滑条
      {
        LinearLayout,--线性布局
        orientation='vertical',--布局方向
        layout_width='fill',--布局宽度
        layout_height='fill',--布局高度
        {
          CardView;--卡片控件
          layout_width='100%w';--卡片宽度
          layout_height='50%w';--卡片高度
          layout_margin='0%w';--卡片边距
          radius='0dp';--卡片圆角
          cardElevation="0dp",--卡片阴影
          id='黑科技';--设置控件ID
          {
            CardView;--图片控件
            layout_width='25.5%w';--卡片宽度
            layout_height='25.5%w';--卡片高度
            layout_marginTop='-10dp'; --图片顶距
            cardBackgroundColor='#eeffffff';--卡片颜色
            layout_margin='1dp';--卡片边距
            cardElevation='0dp';--卡片阴影
            layout_gravity='center';--在父控件中的对齐方式
            radius='50dp';--卡片圆角
            {
              ImageView;--图片控件
              src='qqtx.png';--图片路径
              layout_width='fill';--宽度
              layout_height='fill';--高度
              scaleType='fitXY';--图片显示类型
            };
          };
          {
            TextView;--文本控件
            layout_width='fill';--控件宽度
            layout_height='85%w';--控件高度
            text='https://zhiy.cc/0001';--显示文字
            textSize='14dp';--文字大小
            layout_marginLeft='0%w';--布局左距
            textColor='#aa000000';--文字颜色
            gravity='center';--重力
          };
        };
        {
          CardView,--分割线卡片
          layout_width='fill',
          layout_height='0.11%w',--布局高度
          layout_marginTop='0%w';--布局顶距
          cardBackgroundColor='#aa333333',--卡片背景色
        },
        {
          CardView;--卡片控件
          layout_width='100%w';--卡片宽度
          layout_height='58%w';--卡片高度
          layout_margin='0%w';--卡片边距
          radius='0dp';--卡片圆角
          cardElevation="0dp",--卡片阴影
          {
            TextView;--文本控件
            text='注意：';--显示文字
            textSize='18sp';--文字大小
            textColor='#aa000000';--文字颜色
            gravity='left';--重力
            layout_marginLeft='8%w';--布局左距
            layout_marginTop='2%w';--布局顶距
            Typeface=Typeface.DEFAULT_BOLD;----字体加粗
          };
          {
            TextView;--文本控件
            text='QQ交流时请委婉表达涉及封号内容，\n\n尤其是带颜色的。不要直接发有关\n\n翻墙、VPN、梯子、加速器等。\n\n以及老司机、学习资料、吃瓜app的名字\n\n和不雅光腚图。有违规字眼，则统统不回复。';
            textSize='14sp';--文字大小
            textColor='#eeff0000';--文字颜色
            gravity='left';--重力
            layout_marginLeft='15%w';--布局左距
            layout_marginTop='12%w';--布局顶距
            Typeface=Typeface.DEFAULT_BOLD;----字体加粗
          };
        };
        {
          CardView,--分割线卡片
          layout_width='100%w';--卡片宽度
          layout_height='0.1%w',--布局高度
          radius='0dp';--卡片圆角
          cardBackgroundColor='#aa333333',--卡片背景色
        },
        {
          CardView;--卡片控件
          layout_width='98%w';--卡片宽度
          layout_height='12%w';--卡片高度
          cardBackgroundColor='#eecc00cc';--卡片颜色
          layout_margin='1%w';--卡片边距
          layout_marginLeft='1%w';--布局左距
          radius='0dp';--卡片圆角

          cardElevation="0dp",--卡片阴影
          id='QQ频道';--设置控件ID
          {
            TextView;--文本控件
            layout_width='fill';--控件宽度
            layout_height='fill';--控件高度
            text='QQ频道';--显示文字
            textSize='19dp';--文字大小
            layout_marginLeft='0%w';--布局左距
            textColor='fill';--文字颜色
            Typeface=Typeface.DEFAULT_BOLD;----字体加粗
            gravity='center';--重力
          };
        };
        {
          CardView,--分割线卡片
          layout_width='fill',
          layout_height='0.1%w',--布局高度
          cardBackgroundColor='#aa333333',--卡片背景色
        },
        {
          CardView;--卡片控件
          layout_width='98%w';--卡片宽度
          layout_height='12%w';--卡片高度
          cardBackgroundColor='#ee4EA8E7';--卡片颜色
          layout_margin='1%w';--卡片边距
          layout_marginLeft='1%w';--布局左距
          radius='0dp';--卡片圆角
          cardElevation="0dp",--卡片阴影
          id='QQ群';--设置控件ID
          {
            TextView;--文本控件
            layout_width='fill';--控件宽度
            layout_height='fill';--控件高度
            text='QQ群6';--显示文字
            textSize='19dp';--文字大小
            layout_marginLeft='0%w';--布局左距
            textColor='fill';--文字颜色
            Typeface=Typeface.DEFAULT_BOLD;----字体加粗
            gravity='center';--重力
          };
        };
        {
          CardView,--分割线卡片
          layout_width='fill',
          layout_height='0.1%w',--布局高度
          cardBackgroundColor='#aa333333',--卡片背景色
        },
        {
          CardView;--卡片控件
          layout_width='98%w';--卡片宽度
          layout_height='12%w';--卡片高度
          cardBackgroundColor='#ee555555';--卡片颜色
          layout_margin='1%w';--卡片边距
          layout_marginLeft='1%w';--布局左距
          radius='0dp';--卡片圆角
          cardElevation="0dp",--卡片阴影
          id='电报';--设置控件ID
          {
            TextView;--文本控件
            layout_width='fill';--控件宽度
            layout_height='fill';--控件高度
            text='Telegram(电报)群';--显示文字
            textSize='19dp';--文字大小
            layout_marginLeft='0%w';--布局左距
            textColor='fill';--文字颜色
            Typeface=Typeface.DEFAULT_BOLD;----字体加粗
            gravity='center';--重力
          };
        };
        {
          CardView,--分割线卡片
          layout_width='fill',
          layout_height='0.1%w',--布局高度
          cardBackgroundColor='#aa333333',--卡片背景色
        },
        {
          CardView;--卡片控件
          layout_width='98%w';--卡片宽度
          layout_height='12%w';--卡片高度
          cardBackgroundColor='0xee1B5E20';--卡片颜色
          layout_margin='1%w';--卡片边距
          layout_marginLeft='1%w';--布局左距
          radius='0dp';--卡片圆角
          cardElevation="0dp",--卡片阴影
          id='密码';--设置控件ID
          {
            TextView;--文本控件
            layout_width='fill';--控件宽度
            layout_height='fill';--控件高度
            text='密码更新群';--显示文字
            textSize='19dp';--文字大小
            layout_marginLeft='0%w';--布局左距
            textColor='fill';--文字颜色
            Typeface=Typeface.DEFAULT_BOLD;----字体加粗
            gravity='center';--重力
          };
        };
        {
          CardView,--分割线卡片
          layout_width='fill',
          layout_height='0.1%w',--布局高度
          cardBackgroundColor='#aa333333',--卡片背景色
        },
        {
          CardView;--卡片控件
          layout_width='98%w';--卡片宽度
          layout_height='12%w';--卡片高度
          cardBackgroundColor='0xee222222';--卡片颜色
          layout_margin='1%w';--卡片边距
          layout_marginLeft='1%w';--布局左距
          radius='0dp';--卡片圆角
          cardElevation="0dp",--卡片阴影
          id='联系客服';--设置控件ID
          {
            TextView;--文本控件
            layout_width='fill';--控件宽度
            layout_height='fill';--控件高度
            text='联系客服';--显示文字
            textSize='19dp';--文字大小
            layout_marginLeft='0%w';--布局左距
            textColor='fill';--文字颜色
            Typeface=Typeface.DEFAULT_BOLD;----字体加粗
            gravity='center';--重力
          };
        };
        {
          CardView,--分割线卡片
          layout_width='fill',
          layout_height='0.1%w',--布局高度
          cardBackgroundColor='#aa333333',--卡片背景色
        },
      },--线性布局 结束
    },--纵向滑动控件 结束
  },--线性布局 结束
}--卡片布局 结束
))--相对布局 结束

function 缩放动画(控件)
  import "android.view.animation.*"
  控件.startAnimation(ScaleAnimation(0.0,1.0,0.0,1.0,1,0.5,1,0.5).setDuration(50))
end

QQ群.onClick=function()
  缩放动画(QQ群)
  加QQ群(824193741)
end

QQ频道.onClick=function()
  缩放动画(QQ频道)
  activity.newActivity("web",{"https://pd.qq.com/s/4mag9w84t"})
end

密码.onClick=function()
  缩放动画(密码)
  print("打赏入群")
  进入子页面("DS/FaKa")
end

黑科技.onClick=function()
  缩放动画(黑科技)
  function 浏览器打开(链接)
    import "android.content.Intent"
    import "android.net.Uri"
    viewIntent = Intent("android.intent.action.VIEW",Uri.parse(链接))
    activity.startActivity(viewIntent)
  end
  --调用方法
  浏览器打开("https://zhiy.cc/letter/3266")
end;

电报.onClick=function()
  缩放动画(电报)
  对话框()
  .设置标题("温馨提示")
  .设置消息("\n需要开启VPN加速器才能正常浏览！\n")
  .设置积极按钮("已打开",function()activity.newActivity("web",{"https://t.me/pj543121585"})

  end)
  .设置中立按钮("获取VPN",function()
    activity.newActivity("VPN")
  end)
  .显示()
end;

联系客服.onClick=function()
  缩放动画(联系客服)
      联系QQ(672812629)
    print("添加好友")
end;


--延时事件
task(500,function()--1000毫秒=1秒
  缩放动画(黑科技)
  task(200,function()--1000毫秒=1秒
    缩放动画(黑科技)
    task(500,function()--1000毫秒=1秒
      缩放动画(密码)
      task(200,function()--1000毫秒=1秒
        缩放动画(密码)
      end)
    end)
  end)
end)





